View Issue Details

IDProjectCategoryView StatusLast Update
0000191FreeCADPatchpublic2011-02-24 09:19
Reportersilasdb Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000191: Make preprocessor check for BSD
DescriptionThe attached patch is the first of a series of patches I want to send you, in order to make FreeCAD compile under NetBSD. This first one is very simple... it just creates a FC_OS_BSD macro and defined(FC_OS_BSD) was appended whenever defined(FC_OS_LINUX) appeared.

So, I'd like to ask you if it is possible that we get used to append defined(FC_OS_BSD) for every new defined(FC_OS_LINUX), since the API of both systems is very similar.

Thanks!
TagsNo tags attached.
FreeCAD Information

Activities

2010-10-31 23:24

 

bsd-check.diff (Attachment missing)

wmayer

2010-11-01 17:23

administrator   ~0000398

First patch applied in rev 3686

wmayer

2011-02-24 09:19

administrator   ~0000639

First patch was applied. Now close due to inactivity.

Issue History

Date Modified Username Field Change
2010-10-31 23:24 silasdb New Issue
2010-10-31 23:24 silasdb File Added: bsd-check.diff
2010-11-01 17:23 wmayer Note Added: 0000398
2010-11-01 17:24 wmayer Assigned To => wmayer
2010-11-01 17:24 wmayer Status new => assigned
2011-02-24 09:19 wmayer Note Added: 0000639
2011-02-24 09:19 wmayer Status assigned => closed
2011-02-24 09:19 wmayer Resolution open => fixed
2011-02-24 09:19 wmayer Fixed in Version => 0.11
2011-02-24 09:19 wmayer Target Version => 0.11